# ToDo Items

## General

- Setup non root user
- UFW should be setup to keep VPS secure and only allow for:

   - https
   - http
   - ssh
   - ftp
   - 27017
   - 3306

- Install SSH keys
- Setup unattended upgrades
- Install docker, docker-compose and apache utils.

## Traefik + TraefikRunner

- Setup htaccess -> `echo $(htpasswd -nb user password) | sed -e s/\\$/\\$\\$/g`
- Ensure email address is correct

## Gitea

- Ensure that ports are assigned correctly for the system

# Gitea Runner

- Ensure that a registration token has been setup before continuing

## Websites

- Ensure website files are copied over
- Ensure that ports are assigned correctly for the system

## Bitwarden

- Ensure that all data is fully encrypted during transfer.
- Ensure that ports are assigned correctly for the system

## Database

- Ensure that mysql root password, user and default database are updated.
- Ensure that mongo root password, and user are updated.
- Ensure database ports are correctly assigned and do not have to pass through traefik.
